Subject: Re: IPv6: Past mistakes repeated?

From: [email-masked] (Sean Doran)
Date: Sun, 7 May 2000 23:04:56 +0200 (CEST)

Keith Moore writes:

| the core will support v6 when it makes economic sense - i.e. when
| top tier ISPs can save enough on bandwidth and support costs (as compared 
| to tunneling) to make the investment worthwhile.

Perry Metzger had this to say a long time ago (1999 12 03):

>Peter made the absurd statement at DC that he'd be willing to provide
>v6 at some high multiple of the price of v4. Why should we bother? I
>can just pay 5% more for the extra bandwidth encapsulation will
>consume and ignore you until such time as you decide it is in your
>interest to offer native service.

Clearly he agrees with you that the core of the Internet can 
effectively run IPv4ever, or at least until there is a clear
advantage to running IPv6.   

Peter Lothberg, meanwhile, has proposed a price which would
make it worthwhile for certain ISPs to become dual-protocol.
I'm sure others would be interested.  Maybe you guys can convince
the U.S. and European Taxpayers to pay this cost through direct
and indirect government grants and subsidies to ISPs and ISPs'
customers, sort-of like what used to happen in the OSI days?

| as for your AM vs. FM analogy - there are a variety of theories about
| this, ranging anywhere from artifically making v4 addresses even 
| more scarce to encouraging a run on v4 address space and making them
| scarce that way.

I would like to see a market develop for IPv4 addresses, along the
lines of the late PIARA work.   This would also encourage a 
market for routing-table entries, both of which would produce a significant
incentive to dramatically improve upon on-the-fly host-renumbering.

There is no reason to believe a PIARA-style market for IPv6 addresses
and routing-table entries could not also be interesting and perhaps useful.

There is clearly a "price" associated with receiving a TLA allocation,
namely the compliance with a number of IETF-produced rules with respect
to how one conducts one's business.   I counterbid $1000 in U.S. currency.

	Sean.

P.S. by "routing-table entries", I mean of course, not just the
     consumption of memory and CPU resources in forwarding packets
in to large numbers of possible destinations, but also the cost
in various resources (bandwidth, CPU, complexity) of acquiring
and propagating information which may lead to routing-table changes.

---

From: Bill Manning <[email-masked]>
Date: Sun, 7 May 2000 18:10:11 -0700 (PDT)

Sigh,
	Please -NOT- the PIARA again. There is near zero value in the
number/address and very real value in the routing slot. Perhaps it is 
best to simply have ebone route filter on the /16 boundaries to drive
home your point. (being cranky this morning)

% I would like to see a market develop for IPv4 addresses, along the
% lines of the late PIARA work.   This would also encourage a 
% market for routing-table entries, both of which would produce a significant
% incentive to dramatically improve upon on-the-fly host-renumbering.
% 
% 	Sean.
% 
% P.S. by "routing-table entries", I mean of course, not just the
%      consumption of memory and CPU resources in forwarding packets
% in to large numbers of possible destinations, but also the cost
% in various resources (bandwidth, CPU, complexity) of acquiring
% and propagating information which may lead to routing-table changes.
% 
% 

-- 
--bill

---

From: "David R. Conrad" <[email-masked]>
Date: Sun, 07 May 2000 18:56:12 -0700

Heh. 

I know someone who wants to offer a class B at seven figures and for class B's
that "sold" for 5 figures.  And you say addresses have no value.  

Ah, nostalgia.  It's so nice to revisit old "discussions"...

Rgds,
-drc

Bill Manning wrote:
> -
> This message was passed through [email-masked], which
> is a sublist of [email-masked]. Not all messages are passed.
> Decisions on what to pass are made solely by Harald Alvestrand.

---

From: Sean Doran <[email-masked]>
Date: 08 May 2000 14:43:38 +0200

Bill Manning <[email-masked]> writes:

> There is near zero value in the number/address and
> very real value in the routing slot. Perhaps it is best
> to simply have ebone route filter on the /16 boundaries
> to drive home your point. (being cranky this morning)

Bill -

I utterly reject your ostrich-like position on this matter.

I would be extremely happy if I could make a money-based
or (better still) capacity-based offer to one of the R&E
networks or institutions which retain very short prefixes
(historically known as Class A and Class B networks),
without being prevented from engaging in such a private
transaction by the collusive behaviour of IANA and the registries.

Likewise, I think that government agencies in various East
and South Asian countries, and perhaps various Asian ISPs
or next-generation mobile telephony organizations
would be extremely happy to bid for a few historical Class As 
now being under-used by the current registrants, rather
than being told "no" or "first demonstrate usage" by APNIC.

It has been made clear in the past that any transfer of
addresses will be reviewed by a registry, and that if the
ultimate recipient of transferred address space wants
more address space from the registry, they must comply
with the ordinary "growth & design" rules.

I hear anecdotally that the threat of a withholding of new
allocations to the selling party has also been made in the past.

This is a system which enforces a "one-seller" (the IANA),
"one buyer" (one may return addresses to IANA only) model, 
which flies in the face of free markets, and perversely
imposes costs upon consumers.

Although I am happy that there are people trying to
conserve IPv4 addresses and also encourage sensible
routing announcements by providing not less than a
sizeable aggregatable range to qualified buyers, the
qualification process is tricky and gets trickier as 
one's business grows.

There is a VERY real cost -- most notably in terms of time -- 
to using the "growth & design" scheme for acquiring more addresses
than an initial allocation.  This has, in fact, slowed the
deployment of independently-routed subnets owned and
operated by a single organization.  This slowness could
have been avoided if a market for IP addresses existed,
and I can assure you that a fairly sizable amount of money
would have been spent to speed up the process of acquiring
a handful of relatively long prefixes.   I am also aware
of anecdotal reports of organizations who had to suspend
turning up newly-acquired customers because they could not
quickly acquire new addresses from the monopoly vendors:
the local registries and IANA.

In my opinion, following the PIARA work, the appropriate
thing for IANA to do is to spin off its IPv4 address
allocation function.   We will call this spin-off IANA-I.
IANA-I should then proceed auction off the *ENTIRE*
_not-yet-allocated_ address space, being very clear that
what is sold at auction is merely an exclusive
registration of a range of IP addresses in an
IANA-maintained and publically-accessible document, the
right to make future changes to the registration, and the
right to transfer future registration change rights to
another party.

The IANA-I or its agents could certainly charge a small fee
for processing such changes from persons duly authorized
by the registrant the IANA knows, however it should not
have the power to refuse any transfers of title.

I would furthermore like to see the ENTIRE unallocated
IPv6 global unicast space auctioned off in a similar manner,
abandoning the anti-market "one-seller" model put forward
in RFC 2450 section 5.0, using the monopoly tariff put
forward in section 5.2 ibidem.

That ISPs probably cannot be compelled to consider the
IANA-I registration document at all, in whole or in part,
when configuring their networks' routing policies, should
be declared by the IANA and its auctioneer agent, much as
the registries note this now when making allocations under
the current "one-seller" rules.  Whether there is value in
such a risk-bearing instrument,however, MUST be determined
by buyers, not by IANA, IANA-I, or ivory-tower academics.

There are certainly MUCH riskier instruments traded
regularly as assets on exchange markets throughout the
financial world.  Moreover, the IPv4 black market that
DOES exist, as noted by David Conrad, argues strongly in
favour of testing the "white market" in a sensible fashion.

Finally, a small initial registration fee by IANA-I could
allow currently allocated address space could be noted
in the IANA-I registration document, thus normalizing the
"deed" to the range of addresses, likely making it easier
to undertake a transfer.

        Sean.

---

From: Masataka Ohta <[email-masked]>
Date: Mon, 8 May 2000 22:29:09 +0859 ()

Sean;

> than being told "no" or "first demonstrate usage" by APNIC.

We, people living or born in Asian-Pacific region, are now thinking
about an aggresively new way of address allocation to promote the
healthy IPv6 Internet.

That is, those promoting the healthy IPv6 Internet will be allocated
a lot of IPv4 addresses.

See a recent ID:

	<draft-ohta-address-allocation-00.txt>

	Usage Based Address Allocation Considered Harmful

for details of the proposal.

If you still worry about multihoming, see another recent ID of mine:

	<draft-ohta-e2e-multihoming-00.txt>

	The Architecture of End to End Multihoming

							Masataka Ohta

---

From: Bill Manning <[email-masked]>
Date: Tue, 9 May 100 06:22:43 -0700 (PDT)

Anyone want to by a 3? :)
 The value is not the number but its percived routablity.

% 
% Heh. 
% 
% I know someone who wants to offer a class B at seven figures and for class B's
% that "sold" for 5 figures.  And you say addresses have no value.  
% 
% Ah, nostalgia.  It's so nice to revisit old "discussions"...
% 
% Rgds,
% -drc
% 
% Bill Manning wrote:
% > 
% > Sigh,
% >         Please -NOT- the PIARA again. There is near zero value in the
% > number/address and very real value in the routing slot. Perhaps it is
% > best to simply have ebone route filter on the /16 boundaries to drive
% > home your point. (being cranky this morning)
% > 
% > % I would like to see a market develop for IPv4 addresses, along the
% > % lines of the late PIARA work.   This would also encourage a
% > % market for routing-table entries, both of which would produce a significant
% > % incentive to dramatically improve upon on-the-fly host-renumbering.
% > %
% > %       Sean.
% > %
% > % P.S. by "routing-table entries", I mean of course, not just the
% > %      consumption of memory and CPU resources in forwarding packets
% > % in to large numbers of possible destinations, but also the cost
% > % in various resources (bandwidth, CPU, complexity) of acquiring
% > % and propagating information which may lead to routing-table changes.
% > %
% > %
% > 
% > --
% > --bill
% > 
% > -
% > This message was passed through [email-masked], which
% > is a sublist of [email-masked]. Not all messages are passed.
% > Decisions on what to pass are made solely by Harald Alvestrand.
% 

-- 
--bill